## exchange-calendars 4.5.5

=== etc/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.9
# by the following command:
#
#    pip-compile --output-file=etc/requirements.txt pyproject.toml
#
korean-lunar-calendar==0.3.1
    # via exchange_calendars (pyproject.toml)
numpy==2.0.0
    # via
    #   exchange_calendars (pyproject.toml)
    #   pandas
pandas==2.2.2
    # via exchange_calendars (pyproject.toml)
pyluach==2.2.0
    # via exchange_calendars (pyproject.toml)
python-dateutil==2.9.0.post0
    # via pandas
pytz==2024.1
    # via pandas
six==1.16.0
    # via python-dateutil
toolz==0.12.1
    # via exchange_calendars (pyproject.toml)
tzdata==2024.1
    # via
    #   exchange_calendars (pyproject.toml)
    #   pandas

=== debian/changelog ===
exchange-calendars (4.5.5-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 09:51:11 +0900

exchange-calendars (4.5.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1076525)

 -- Edward Betts <edward@4angle.com>  Sat, 20 Jul 2024 09:31:31 +0900

=== debian/control ===
Source: exchange-calendars
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-hypothesis <!nocheck>,
               python3-korean-lunar-calendar <!nocheck>,
               python3-numpy <!nocheck>,
               python3-pandas <!nocheck>,
               python3-pyluach <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-toolz <!nocheck>,
               tzdata-legacy <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/gerrymanoim/exchange_calendars
Vcs-Browser: https://salsa.debian.org/python-team/packages/exchange-calendars
Vcs-Git: https://salsa.debian.org/python-team/packages/exchange-calendars.git

Package: python3-exchange-calendars
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python library for security exchange calendars
 This package provides a Python library for defining and querying
 calendars of securities exchanges. It allows users to work with
 trading schedules and calendars for over 50 exchanges worldwide.
 .
 The library is useful for financial analysis, algorithmic trading,
 and market data processing applications that need to handle exchange
 trading hours, breaks, and holidays accurately.
 .
 Key features include:
 .
   - Pre-defined calendars for major stock exchanges
   - Methods to query trading sessions, minutes, and schedules
   - Ability to create custom exchange calendars
   - Command-line utility for printing exchange calendars
 .
 This package is intended for developers and analysts working with
 financial market data. It requires basic knowledge of Python and
 financial markets terminology.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=exchange-calendars

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf exchange_calendars.egg-info/ exchange_calendars/_version.py

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all, python3-hypothesis, python3-pytest, tzdata-legacy, @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/exchange-calendars-$1\.tar\.gz/ \
  https://github.com/gerrymanoim/exchange_calendars/tags .*/v?(\d\S+)\.tar\.gz

## exchange-calendars 4.5.6

=== debian/changelog ===
exchange-calendars (4.5.6-1) unstable; urgency=medium

  * New upstream release.
  * Move packages required for tests to Build-Depends-Indep.
  * Install tutorials as docs.
  * Upstream changes mean tests no longer need tzdata-legacy.

 -- Edward Betts <edward@4angle.com>  Sat, 14 Sep 2024 09:13:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: exchange-calendars
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Edward Betts <edward@4angle.com>
+Uploaders:
+ Edward Betts <edward@4angle.com>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               pybuild-plugin-pyproject,
-               python3-all,
-               python3-hypothesis <!nocheck>,
-               python3-korean-lunar-calendar <!nocheck>,
-               python3-numpy <!nocheck>,
-               python3-pandas <!nocheck>,
-               python3-pyluach <!nocheck>,
-               python3-pytest <!nocheck>,
-               python3-setuptools,
-               python3-toolz <!nocheck>,
-               tzdata-legacy <!nocheck>
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-setuptools,
+Build-Depends-Indep:
+ python3-hypothesis <!nocheck>,
+ python3-korean-lunar-calendar <!nocheck>,
+ python3-numpy <!nocheck>,
+ python3-pandas <!nocheck>,
+ python3-pyluach <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-toolz <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/gerrymanoim/exchange_calendars
@@ -24,7 +26,9 @@
 
 Package: python3-exchange-calendars
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Python library for security exchange calendars
  This package provides a Python library for defining and querying
  calendars of securities exchanges. It allows users to work with

=== debian/tests/control ===
Tests: run-tests
Depends:
 python3-all,
 python3-hypothesis,
 python3-pytest,
 @,

## exchange-calendars 4.6

=== etc/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile --output-file=etc/requirements.txt pyproject.toml
#
korean-lunar-calendar==0.3.1
    # via exchange_calendars (pyproject.toml)
numpy==2.1.2
    # via
    #   exchange_calendars (pyproject.toml)
    #   pandas
pandas==2.2.3
    # via exchange_calendars (pyproject.toml)
pyluach==2.2.0
    # via exchange_calendars (pyproject.toml)
python-dateutil==2.9.0.post0
    # via pandas
pytz==2024.2
    # via pandas
six==1.16.0
    # via python-dateutil
toolz==1.0.0
    # via exchange_calendars (pyproject.toml)
tzdata==2024.2
    # via
    #   exchange_calendars (pyproject.toml)
    #   pandas

=== debian/changelog ===
exchange-calendars (4.6-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 26 Nov 2024 12:15:43 +0000

exchange-calendars (4.5.8-2) unstable; urgency=medium

  * Avoid running autopkgtest on 32-bit architectures.

 -- Edward Betts <edward@4angle.com>  Thu, 21 Nov 2024 10:51:01 +0000

exchange-calendars (4.5.8-1) unstable; urgency=medium

  * New upstream release.
  * Package fails on 32-bit so add Build-Depends: architecture-is-64-bit.
  * The python3-korean-lunar-calendar needs to be installed during build
    for binary package to include it as a dependency.

 -- Edward Betts <edward@4angle.com>  Sun, 17 Nov 2024 13:20:04 +0100

## exchange-calendars 4.7

=== debian/changelog ===
exchange-calendars (4.7-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Simplify debian/watch.
  * Simplify debian/rules.
  * Use debian/clean in place of override_dh_auto_clean.

 -- Edward Betts <edward@4angle.com>  Sun, 05 Jan 2025 10:40:53 +0000

## exchange-calendars 4.8

=== debian/changelog ===
exchange-calendars (4.8-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 17 Jan 2025 09:34:29 -0600

## exchange-calendars 4.9

=== etc/requirements.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 korean-lunar-calendar==0.3.1
     # via exchange_calendars (pyproject.toml)
-numpy==2.1.2
+numpy==2.2.1
     # via
     #   exchange_calendars (pyproject.toml)
     #   pandas
@@ -18,7 +18,7 @@
     # via pandas
 pytz==2024.2
     # via pandas
-six==1.16.0
+six==1.17.0
     # via python-dateutil
 toolz==1.0.0
     # via exchange_calendars (pyproject.toml)

=== debian/changelog ===
exchange-calendars (4.9-2) unstable; urgency=medium

  * Tests are failing for TestXPHSCalendar, this has been reported upstream.
  * Skip failing tests for now. (Closes: #1094101)

 -- Edward Betts <edward@4angle.com>  Tue, 18 Feb 2025 08:32:02 -0500

exchange-calendars (4.9-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 02 Feb 2025 11:15:44 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Section: python
 Priority: optional
 Build-Depends:
+ architecture-is-64-bit,
  debhelper-compat (= 13),
  dh-sequence-python3,
  pybuild-plugin-pyproject,
@@ -12,7 +13,7 @@
  python3-setuptools,
 Build-Depends-Indep:
  python3-hypothesis <!nocheck>,
- python3-korean-lunar-calendar <!nocheck>,
+ python3-korean-lunar-calendar,
  python3-numpy <!nocheck>,
  python3-pandas <!nocheck>,
  python3-pyluach <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=--ignore=tests/test_xphs_calendar.py

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 architecture-is-64-bit,
 python3-all,
 python3-hypothesis,
 python3-pytest,
 @,
Architecture: !armel !armhf !i386

## exchange-calendars 4.10

=== debian/changelog ===
exchange-calendars (4.10-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Mon, 24 Mar 2025 08:57:59 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  python3-pytest <!nocheck>,
  python3-toolz <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/gerrymanoim/exchange_calendars
 Vcs-Browser: https://salsa.debian.org/python-team/packages/exchange-calendars
 Vcs-Git: https://salsa.debian.org/python-team/packages/exchange-calendars.git

## exchange-calendars 4.10.1

=== debian/changelog ===
exchange-calendars (4.10.1-2) unstable; urgency=medium

  * Avoid running autopkgtest on 32-bit architectures.

 -- Edward Betts <edward@4angle.com>  Wed, 04 Jun 2025 07:06:13 -0500

exchange-calendars (4.10.1-1) unstable; urgency=medium

  * New upstream release.
  * No longer need to skip test_xphs_calendar.py during pytest.
  * Switch to autopkgtest-pkg-pybuild.

 -- Edward Betts <edward@4angle.com>  Thu, 22 May 2025 22:23:23 +0100

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
 Homepage: https://github.com/gerrymanoim/exchange_calendars
 Vcs-Browser: https://salsa.debian.org/python-team/packages/exchange-calendars
 Vcs-Git: https://salsa.debian.org/python-team/packages/exchange-calendars.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-exchange-calendars
 Architecture: all

## exchange-calendars 4.11

=== etc/requirements.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 korean-lunar-calendar==0.3.1
     # via exchange_calendars (pyproject.toml)
-numpy==2.2.1
+numpy==2.2.5
     # via
     #   exchange_calendars (pyproject.toml)
     #   pandas
@@ -16,13 +16,13 @@
     # via exchange_calendars (pyproject.toml)
 python-dateutil==2.9.0.post0
     # via pandas
-pytz==2024.2
+pytz==2025.2
     # via pandas
 six==1.17.0
     # via python-dateutil
 toolz==1.0.0
     # via exchange_calendars (pyproject.toml)
-tzdata==2024.2
+tzdata==2025.2
     # via
     #   exchange_calendars (pyproject.toml)
     #   pandas

=== debian/changelog ===
exchange-calendars (4.11-1) unstable; urgency=medium

  * New upstream release.
  * Patch to work on 32-bit architectures accepted upstream.

 -- Edward Betts <edward@4angle.com>  Thu, 17 Jul 2025 09:47:57 +0200

exchange-calendars (4.10.1-3) unstable; urgency=medium

  * Patch code to work on 32 bit architectures.

 -- Edward Betts <edward@4angle.com>  Tue, 08 Jul 2025 13:48:15 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Section: python
 Priority: optional
 Build-Depends:
- architecture-is-64-bit,
  debhelper-compat (= 13),
  dh-sequence-python3,
  pybuild-plugin-pyproject,

=== debian/watch ===
version=4
https://github.com/gerrymanoim/exchange_calendars/tags .*/v?(\d\S+)\.tar\.gz

## exchange-calendars 4.11.1

=== debian/changelog ===
exchange-calendars (4.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Skip failing test.

 -- Edward Betts <edward@4angle.com>  Fri, 22 Aug 2025 07:30:36 +0100

## exchange-calendars 4.11.2

=== requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv export --format requirements-txt --no-emit-project --no-hashes --no-dev -o requirements.txt
korean-lunar-calendar==0.3.1
    # via exchange-calendars
numpy==2.2.6 ; python_full_version < '3.11'
    # via
    #   exchange-calendars
    #   pandas
numpy==2.3.3 ; python_full_version >= '3.11'
    # via
    #   exchange-calendars
    #   pandas
pandas==2.3.3
    # via exchange-calendars
pyluach==2.3.0
    # via exchange-calendars
python-dateutil==2.9.0.post0
    # via pandas
pytz==2025.2
    # via pandas
six==1.17.0
    # via python-dateutil
toolz==1.0.0
    # via exchange-calendars
tzdata==2025.2
    # via
    #   exchange-calendars
    #   pandas

=== debian/changelog ===
exchange-calendars (4.11.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Fri, 17 Oct 2025 09:28:46 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
  python3-pyluach <!nocheck>,
  python3-pytest <!nocheck>,
  python3-toolz <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/gerrymanoim/exchange_calendars
 Vcs-Browser: https://salsa.debian.org/python-team/packages/exchange-calendars

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=-k "not test_testbase_integrity"
%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Template: Github
Owner: gerrymanoim
Project: exchange_calendars

## exchange-calendars 4.11.3

=== debian/changelog ===
exchange-calendars (4.11.3-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 14 Nov 2025 16:44:44 +0000

## exchange-calendars 4.12

=== debian/changelog ===
exchange-calendars (4.12-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Sat, 10 Jan 2026 09:45:19 +0000

## exchange-calendars 4.13

=== debian/changelog ===
exchange-calendars (4.13-1) unstable; urgency=medium

  * New upstream release.
  * Skip two additional failing test.

 -- Edward Betts <edward@4angle.com>  Tue, 03 Feb 2026 13:47:18 +0000

## exchange-calendars 4.13.1

=== requirements.txt ===
--- 
+++ 
@@ -6,23 +6,25 @@
     # via
     #   exchange-calendars
     #   pandas
-numpy==2.3.3 ; python_full_version >= '3.11'
+numpy==2.4.2 ; python_full_version >= '3.11'
     # via
     #   exchange-calendars
     #   pandas
-pandas==2.3.3
+pandas==2.3.3 ; python_full_version < '3.11'
+    # via exchange-calendars
+pandas==3.0.0 ; python_full_version >= '3.11'
     # via exchange-calendars
 pyluach==2.3.0
     # via exchange-calendars
 python-dateutil==2.9.0.post0
     # via pandas
-pytz==2025.2
+pytz==2025.2 ; python_full_version < '3.11'
     # via pandas
 six==1.17.0
     # via python-dateutil
-toolz==1.0.0
+toolz==1.1.0
     # via exchange-calendars
-tzdata==2025.2
+tzdata==2025.3
     # via
     #   exchange-calendars
     #   pandas

=== debian/changelog ===
exchange-calendars (4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 08 Feb 2026 08:59:39 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -18,7 +17,7 @@
  python3-pyluach <!nocheck>,
  python3-pytest <!nocheck>,
  python3-toolz <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/gerrymanoim/exchange_calendars
 Vcs-Browser: https://salsa.debian.org/python-team/packages/exchange-calendars
 Vcs-Git: https://salsa.debian.org/python-team/packages/exchange-calendars.git

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=-k "not test_testbase_integrity and not exchange_calendars.utils.pandas_utils.indexes_union and not test_indices_fuzz"
%:
	dh $@ --buildsystem=pybuild
